<RESOURCE_PROFILE>
<HEADER>
	<RESOURCE_IDENTIFIER value="4d94a3f0-a5c8-441e-a506-8328af17a6f3_VHJhbnNmb3JtYXRpb25SdWxlRFNSZXNvdXJjZXMvVHJhbnNmb3JtYXRpb25SdWxlRFNSZXNvdXJjZVR5cGU="/>
	<RESOURCE_TYPE value="TransformationRuleDSResourceType"/>
	<RESOURCE_KIND value="TransformationRuleDSResources"/>
	<RESOURCE_URI value=""/>
	<DATE_OF_CREATION value="2018-10-12T12:14:22+01:00"/>
</HEADER>
<BODY>
	<CONFIGURATION>
		<IMPORTED/>
		<SCRIPT>
			<TITLE>ARIADNEPLUS Policy v1.5 2018-10-12</TITLE>
			<CODE>
				<![CDATA[<!-- ARIADNEPLUS Generator Policy file v1.5 -->
<generator_policy>
  <!-- The prefix is a namespace that must be declared in the X3ML definition.
        In ARIADNEPLUS it was decided that it is constructed by the namespace of ARIADNEPLUS
		followed by the provider and the database that is being mapped
        e.g. prefix="ariadneplus" and in the x3ml define
		<namespace prefix="ariadneplus" uri="http://ariadneplus-project.eu/FORTH/myDB/"/> -->

  <generator name="ProjectURI" prefix="ariadneplus" shorten="yes">
    <pattern>Project/{term}</pattern>
  </generator>
  <generator name="ServiceURI" prefix="ariadneplus" shorten="yes">
    <pattern>Service/{term}</pattern>
  </generator>
  <generator name="DatasetURI" prefix="ariadneplus" shorten="yes">
    <pattern>Dataset/{term}</pattern>
  </generator>
  <generator name="DatasetVerMergeURI" prefix="ariadneplus" shorten="yes">
    <pattern>Dataset/{term}_{term1}</pattern>
  </generator>
  <generator name="SoftwareURI" prefix="ariadneplus" shorten="yes">
    <pattern>Software/{term}</pattern>
  </generator>
  <generator name="ActorURI" prefix="ariadneplus" shorten="yes">
    <pattern>Actor/{term}</pattern>
  </generator>
  <generator name="ActorTwoNameMergeURI" prefix="ariadneplus" shorten="yes">
    <pattern>Actor/{firstName}_{LastName}</pattern>
  </generator>
  <generator name="ConceptURI" prefix="reg" shorten="yes">
    <pattern>Concept/{term}</pattern>
  </generator>
  <generator name="ConceptURI_2step" prefix="reg" shorten="yes">
    <pattern>Concept/{term}/{term1}</pattern>
  </generator>
      <generator name="ConceptURI_3step" prefix="reg" shorten="yes">
    <pattern>Concept/{term}/{term1}/{term2}</pattern>
  </generator>
  <generator name="PlaceURI" prefix="ariadneplus" shorten="yes">
    <pattern>Place/{term}</pattern>
  </generator>
  <generator name="ProjectAppellationURI" prefix="ariadneplus" shorten="yes">
    <pattern>Project/Appellation/{term}</pattern>
  </generator>
  <generator name="ServiceAppellationURI" prefix="ariadneplus" shorten="yes">
    <pattern>Service/Appellation/{term}</pattern>
  </generator>
  <generator name="DatasetAppellationURI" prefix="ariadneplus" shorten="yes">
    <pattern>Dataset/Appellation/{term}</pattern>
  </generator>
  <generator name="DatasetAppvermergeURI" prefix="ariadneplus" shorten="yes">
    <pattern>Dataset/Appellation/{term}_{term1}</pattern>
  </generator>
  <generator name="SoftwareAppellationURI" prefix="ariadneplus" shorten="yes">
    <pattern>Software/Appellation/{term}</pattern>
  </generator>
  <generator name="ActorAppellationURI" prefix="ariadneplus" shorten="yes">
    <pattern>Actor/Appellation/{term}</pattern>
  </generator>
  <generator name="ConceptAppellationURI" prefix="ariadneplus" shorten="yes">
    <pattern>Concept/Appellation/{term}</pattern>
  </generator>
  <generator name="ThingAppellationURI" prefix="ariadneplus" shorten="yes">
    <pattern>Thing/Appellation/{term}</pattern>
  </generator>
  <generator name="EventAppellationURI" prefix="ariadneplus" shorten="yes">
    <pattern>Event/Appellation/{term}</pattern>
  </generator>
  <generator name="PlaceAppellationURI" prefix="ariadneplus" shorten="yes">
    <pattern>Place/Appellation/{term}</pattern>
  </generator>
  <generator name="PlaceAppellationAddressURI" prefix="ariadneplus" shorten="yes">
    <pattern>Place/Appellation/{mainaddress}-{postcode}-{country}</pattern>
  </generator>
  <generator name="PlaceAppLatLong" prefix="ariadneplus" shorten="yes">
    <pattern>Place/Appellation/{lat}-{long}</pattern>
  </generator>
  <generator name="ThingURI" prefix="ariadneplus" shorten="yes">
    <pattern>Thing/{term}</pattern>
  </generator>
  <generator name="DimensionURI" prefix="ariadneplus" shorten="yes">
    <pattern>Dimension/{term}</pattern>
  </generator>
  <generator name="RemoveTerm" prefix="ariadneplus">
    <custom generatorClass="gr.forth.RemoveTerm">
      <set-arg name="termToRemove" type="constant"></set-arg>
      <set-arg name="text"></set-arg>
    </custom>
  </generator>
  <generator name="OneLevelCustomURI" prefix="ariadneplus" shorten="yes">
    <pattern>{level1}/{term}</pattern>
  </generator>
  <generator name="TwoLevelCustomURI" prefix="ariadneplus" shorten="yes">
    <pattern>{level1}/{level2}/{term}</pattern>
  </generator>
  <generator name="OneLevelCustomURIwCount" prefix="ariadneplus" shorten="yes">
    <pattern>{level1}/{count}/{term}</pattern>
  </generator>
  <generator name="TwoLevelCustomURIwCount" prefix="ariadneplus" shorten="yes">
    <pattern>{level1}/{level2}/{count}/{term}</pattern>
  </generator>
  <generator name="SimpleLabel">
    <pattern>{label}</pattern>
  </generator>
  <generator name="CompositeLabel">
    <pattern>{label} {text}</pattern>
  </generator>
  <generator name="CompositeVerLabel">
    <pattern>{label} Ver {text}</pattern>
  </generator>
  <generator name="LatLong">
    <pattern>({lat} {long})</pattern>
  </generator>
  <generator name="AddressLabel">
    <pattern>{term},{term2},{term3},{term4}</pattern>
  </generator>
  <generator name="GermanDateTime">
    <custom generatorClass="gr.forth.GermanDate">
      <set-arg name="bound" type="constant"></set-arg>
      <set-arg name="text"></set-arg>
    </custom>
  </generator>
  <generator name="URIorUUID">
    <custom generatorClass="gr.forth.URIorUUID">
      <set-arg name="text"></set-arg>
    </custom>
  </generator>
  <generator name="ConcatMultipleTerms">
    <custom generatorClass="gr.forth.ConcatMultipleTerms">
      <set-arg name="prefix" type="constant"></set-arg>
      <set-arg name="sameTermsDelim" type="constant"></set-arg>
      <set-arg name="diffTermsDelim" type="constant"></set-arg>
      <set-arg name="text1"></set-arg>
	  <set-arg name="text2"></set-arg>
	  <set-arg name="text3"></set-arg>
	  <set-arg name="text4"></set-arg>
	  <set-arg name="text5"></set-arg>
    </custom>
  </generator>
</generator_policy>

				]]>
			</CODE>
		</SCRIPT>
	</CONFIGURATION>
	<STATUS/>
	<SECURITY_PARAMETERS/>
</BODY>
</RESOURCE_PROFILE>